#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySmashEggRankingCFGData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖池百分比
	int mJackpot;
	//奖励道具
	std::vector<int> mRewardItme;
	//奖励数量
	std::vector<int> mRewardCount;
};

class M_ActivitySmashEggRankingCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySmashEggRankingCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySmashEggRankingCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySmashEggRankingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySmashEggRankingCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySmashEggRankingCFGData> mMapData;
};
